Bug 1320137 - Tests are failing due to logging change in smart proxy
Summary: Tests are failing due to logging change in smart proxy
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Stephen Benjamin
QA Contact:
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-22 11:56 UTC by Stephen Benjamin
Modified: 2019-04-01 20:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-01 18:17:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 14314 0 None None None 2016-04-22 16:03:00 UTC

Description Stephen Benjamin 2016-03-22 11:56:05 UTC
<pre>
/var/lib/workspace/workspace/test_proxy_plugin_matrix/ruby/2.0.0/lib/smart_proxy_dynflow.rb:25:in `persistence_conn_string': undefined method `logger' for Proxy::Log:Module (NoMethodError)
</pre>

Comment 1 Stephen Benjamin 2016-03-22 11:56:06 UTC
Created from redmine issue http://projects.theforeman.org/issues/14314

Comment 2 Stephen Benjamin 2016-03-22 11:56:09 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 3 Stephen Benjamin 2016-03-22 12:01:23 UTC
BZ1273785 breaks logging for smart_proxy_dynflow.

Comment 5 Bryan Kearney 2016-03-22 14:11:01 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/14314 has been closed
-------------
Anonymous
Applied in changeset commit:smart_proxy_dynflow|ee6f514d3e01c866019f9ab360f69a6fabb85383.

Comment 9 Corey Welton 2016-04-01 18:17:49 UTC
QE notes: Dev task, nothing to test here.


Note You need to log in before you can comment on or make changes to this bug.